%define	DATE	20000405
%define	LANG	en

Summary:	HOWTO documents (html format) from the Linux Documentation Project
Name:		howto-html-en
Version:	7.1
Release:	3mdk
Group:		Books/Howtos

Source0:	howto-html-%{LANG}-%{DATE}.tar.bz2
Source1:    howto-html-en_menuentries 
Url:		http://www.linuxdoc.org/docs.html#howto
Copyright:	Distributable
BuildRoot:	%{_tmppath}/howto-html-root
BuildArchitectures: noarch
Obsoletes:	ldp, howto-html
BuildRequires:  howto-utils
Requires:   locales-en, webclient, mandrake_desk > 1.0.3-7mdk
Requires: howto-utils

%description
Linux HOWTOs are detailed documents which describe a specific aspect of 
configuring or using Linux.  Linux HOWTOs are a great source of
practical information about your system.  The latest versions of these
documents are located at http://www.linuxdoc.org/docs.html#howto

%prep 

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_docdir}/HOWTO/HTML/en
cd $RPM_BUILD_ROOT%{_docdir}/HOWTO/HTML/en
bzcat %{SOURCE0} | tar xv

install -m 755 -d $RPM_BUILD_ROOT%{_menudir}
install -m 644 %{SOURCE1} $RPM_BUILD_ROOT%{_menudir} 
mv index.html Index.html
(cd $RPM_BUILD_ROOT%{_docdir}/HOWTO/HTML/%{LANG}; makehowtoindex English)

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_docdir}/HOWTO/HTML/en
%{_menudir}/*

%post
%{update_menus}

%postun
%{clean_menus}

%changelog
* Thu Aug 17 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 7.1-3mdk
- add LN touch

* Mon Apr 24 2000 Pixel <pixel@mandrakesoft.com> 7.1-2mdk
- change require (add locales-XX, change netscape to webclient)

* Thu Apr 20 2000 David BAUDENS <baudens@mandrakesoft.com> 7.1-1mdk
- 7.1

* Wed Apr 05 2000 David BAUDENS <baudens@mandrakesoft.com> 7.0-2mdk
- 20000405

* Tue Dec 22 1999 - David BAUDENS <baudens@mandrakesoft.com>
- Update version number to 7.0

* Sat Dec 04 1999 - David BAUDENS <baudens@mandrakesoft.com>
- 19991204
- Keep only html format (others are in contribs)

* Fri May 14 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Mandrake adaptations.

* Tue Mar 23 1999 Bill Nottingham <notting@redhat.com>
- no <BASE HREF...> in howto-index.html

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 2)

* Tue Jan 26 1999 Cristian Gafton <gafton@redhat.com>
- updated howtos
- marked translations with %lang(XX)
- get rid of pdf, ps and dvi formats

* Thu Oct 01 1998 Cristian Gafton <gafton@redhat.com>
- added the Serbian Howtos

* Thu Sep 10 1998 Cristian Gafton <gafton@redhat.com>
- updated archive
- added croatian and slovenian subpackages

* Wed Apr 15 1998 Cristian Gafton <gafton@redhat.com>
- updated archive
- subpackages for each language

* Fri Oct 24 1997 Otto Hammersmith <otto@redhat.com>
- fixed missing HOWTOs because the download ran out of space
- added an index html page for the howto-html package

* Thu Oct 23 1997 Otto Hammersmith <otto@redhat.com>
- untarred the html tarballs to obsolete the ldp package

* Wed Oct 22 1997 Otto Hammersmith <otto@redhat.com>
- updated version
- fixed description for the right date

* Thu Jul 31 1997 Erik Troan <ewt@redhat.com>
- made a noarch package

* Sat Apr 19 1997 Otto Hammersmith <otto@redhat.com>
- Updated to more recent HOWTOs.
- In the next major version, %{_docdir} really ought to be cleaned out.
  Right now, the ldp and howto packages overlap somewhat. (HTML docs,
  the former, however, only has tar.gz files)
  I didn't want to rearrange too much for 4.2, and there are other
  documentation issues such as /usr/info.

